Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.validator
Class InvalidValue

    java.lang.Object
      org.hibernate.validator.InvalidValue

All Implemented Interfaces:
  Serializable

    public class InvalidValue

extends Object
implements Serializable

A single violation of a class level or method level constraint.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`InvalidValue(String message, Class beanClass, String propertyName, Object value, Object bean)`

Method Summary
`void` | `addParentBean(Object parentBean, String propertyName)`
`Object` | `getBean()`
`Class` | `getBeanClass()`
`String` | `getMessage()`
`String` | `getPropertyName()`
`String` | `getPropertyPath()`
`Object` | `getRootBean()`
`Object` | `getValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidValue

    public InvalidValue(String message,
                        Class beanClass,
                        String propertyName,
                        Object value,
                        Object bean)

Method Detail

### getRootBean

    public Object getRootBean()

### getPropertyPath

    public String getPropertyPath()

### addParentBean

    public void addParentBean(Object parentBean,
                              String propertyName)

### getBeanClass

    public Class getBeanClass()

### getMessage

    public String getMessage()

### getPropertyName

    public String getPropertyName()

### getValue

    public Object getValue()

### getBean

    public Object getBean()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD